Bug 639816 - Review Request: cmake-fedora - CMake helper modules for fedora developers
Summary: Review Request: cmake-fedora - CMake helper modules for fedora developers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-04 06:25 UTC by Ding-Yi Chen
Modified: 2010-11-19 22:31 UTC (History)
4 users (show)

Fixed In Version: cmake-fedora-0.3.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 06:09:13 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ding-Yi Chen 2010-10-04 06:25:00 UTC
Spec URL: http://dchen.fedorapeople.org/files/rpms/cmake-fedora.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/cmake-fedora-0.1.2-1.el6.src.rpm
Description: cmake-fedora consist a set of cmake modules that provides
helper macros and targets for fedora developers.

Comment 1 Peter Lemenkov 2010-10-04 13:26:22 UTC
Interesting application - I'll try it in one real-world application. But before - I'll review it.

Comment 2 Peter Lemenkov 2010-10-04 14:40:32 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/cmake-fedora-0.1.2-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum cmake-fedora-0.1.2-Source.tar.gz*
e42ce5634ad34ff0c2e84bfdae1e52d22d3d3f826bb406f373a0b6f748967220  cmake-fedora-0.1.2-Source.tar.gz
e42ce5634ad34ff0c2e84bfdae1e52d22d3d3f826bb406f373a0b6f748967220  cmake-fedora-0.1.2-Source.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture (my F-12 ppc).
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates (except those, owned by cmake)
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED

Comment 3 Ding-Yi Chen 2010-10-06 00:49:14 UTC
Thanks for the quick response!

Comment 4 Ding-Yi Chen 2010-10-06 00:51:29 UTC
New Package SCM Request
=======================
Package Name: cmake-fedora
Short Description:  CMake helper modules for fedora developers
Owners: dchen
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 5 Kevin Fenzi 2010-10-06 23:28:05 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-07 06:08:39 UTC
cmake-fedora-0.1.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.1.4-1.fc14

Comment 7 Fedora Update System 2010-10-07 06:09:46 UTC
cmake-fedora-0.1.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.1.4-1.fc13

Comment 8 Fedora Update System 2010-10-07 06:10:45 UTC
cmake-fedora-0.1.4-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cmake-fedora-0.1.4-1.fc12

Comment 9 Fedora Update System 2010-10-07 19:51:41 UTC
cmake-fedora-0.1.4-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake-fedora'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cmake-fedora-0.1.4-1.fc14

Comment 10 Fedora Update System 2010-10-15 03:55:01 UTC
cmake-fedora-0.2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.2-1.fc14

Comment 11 Fedora Update System 2010-10-15 03:55:16 UTC
cmake-fedora-0.2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.2-1.fc13

Comment 12 Fedora Update System 2010-10-15 03:55:30 UTC
cmake-fedora-0.2.2-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.2-1.fc12

Comment 13 Fedora Update System 2010-10-15 03:55:46 UTC
cmake-fedora-0.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.2-1.el5

Comment 14 Fedora Update System 2010-10-16 16:47:18 UTC
cmake-fedora-0.2.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.3-1.fc14

Comment 15 Fedora Update System 2010-10-16 16:47:31 UTC
cmake-fedora-0.2.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.3-1.fc13

Comment 16 Fedora Update System 2010-10-16 16:47:43 UTC
cmake-fedora-0.2.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.3-1.fc12

Comment 17 Fedora Update System 2010-10-16 16:48:01 UTC
cmake-fedora-0.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.2.3-1.el5

Comment 18 Fedora Update System 2010-10-28 06:09:08 UTC
cmake-fedora-0.2.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-10-28 22:24:04 UTC
cmake-fedora-0.2.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-10-30 23:42:31 UTC
cmake-fedora-0.2.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-11-01 16:34:44 UTC
cmake-fedora-0.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-11-02 06:43:30 UTC
cmake-fedora-0.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.3.0-1.fc13

Comment 23 Fedora Update System 2010-11-02 06:43:43 UTC
cmake-fedora-0.3.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cmake-fedora-0.3.0-1.fc12

Comment 24 Fedora Update System 2010-11-08 02:37:25 UTC
cmake-fedora-0.3.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.3.1-1.fc13

Comment 25 Fedora Update System 2010-11-08 02:37:39 UTC
cmake-fedora-0.3.1-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cmake-fedora-0.3.1-1.fc12

Comment 26 Fedora Update System 2010-11-09 04:05:24 UTC
cmake-fedora-0.3.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.3.2-1.fc13

Comment 27 Fedora Update System 2010-11-17 23:28:48 UTC
cmake-fedora-0.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2010-11-19 22:31:24 UTC
cmake-fedora-0.3.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.